Bug Hunting Session
Bug 113277 - UI edges of some characters are clipped
Summary: UI edges of some characters are clipped
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.4.2.2 release
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: regression
: 113766 (view as bug list)
Depends on:
Blocks: Font-Rendering VCL-OpenGL DirectWrite
  Show dependency treegraph
 
Reported: 2017-10-19 19:41 UTC by Mike
Modified: 2017-11-30 06:27 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of characters No 1 (208.94 KB, image/png)
2017-10-19 19:42 UTC, Mike
Details
Screenshot of characters No 2 (256.29 KB, image/png)
2017-10-19 19:42 UTC, Mike
Details
Detailed screenshots and comparison (1.37 MB, application/pdf)
2017-10-30 05:16 UTC, Mike
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike 2017-10-19 19:41:31 UTC
Description:
UI: LO menus – borders of some characters are cut off.

The issue is about some characters in the menus of LO. Sometimes the border of a character is ‘cut off’.

Please have a look at my attached screenshots. 


Steps to Reproduce:
1. Open LO 5.4.2.2 or above (5.2.4.2 worked fine, but I did not test a version between) So this is a regession, I think
2. Open a menu like Tools->Options->Security->Options
(To see what I mean, please have a look at my screenshots

Actual Results:  
The borders of some characters in the menu are rendered incorrect

Expected Results:
The borders these characters in the menu are rendered correct.


Reproducible: Always

User Profile Reset: No

Additional Info:
The resolution of my display is: 1080p, 1920 x 1080

Version: 6.0.0.0.alpha0+ (x64)
Build ID: 616f21db9e50a77b0c02dfb123f871a742f46216
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2017-10-16_22:53:09
Locale: de-DE (de_DE); Calc: CL

Version: 5.4.2.2 (x64)
Build ID: 22b09f6418e8c2d508a9eaf86b2399209b0990f4
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
Locale: de-DE (de_DE); Calc: group

Maybe a Regression:

Version: 5.2.4.2
Build-ID: 3d5603e1122f0f102b62521720ab13a38a4e0eb0
CPU-Threads: 4; BS-Version: Windows 6.2; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL

seems to work...


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:56.0) Gecko/20100101 Firefox/56.0
Comment 1 Mike 2017-10-19 19:42:03 UTC
Created attachment 137126 [details]
Screenshot of characters No 1
Comment 2 Mike 2017-10-19 19:42:21 UTC
Created attachment 137127 [details]
Screenshot of characters No 2
Comment 3 Mike 2017-10-30 05:16:41 UTC
Created attachment 137363 [details]
Detailed screenshots and comparison
Comment 4 Mike 2017-10-30 05:19:37 UTC
Can somebody please look, if he can (not) confirm this?
Comment 5 V Stuart Foote 2017-10-30 13:05:42 UTC
Confirmed, but only with OpenGL rendering enabled. Looks to be issue with DirectWrite. 

We had similar issues during HarfBuzz integration as with bug 104013 but it looks like Khaled's patch [1] for that was not picked up during DirectWrite refactoring. Stamping glyphs for DirectWrite needs a bit more space?

[1] https://cgit.freedesktop.org/libreoffice/core/commit/?id=ba3e52699bc05911bc1f9e3cbd5d1332902c736a
Comment 6 Aron Budea 2017-11-05 23:18:38 UTC
Seems fixed in master, but not in 5.4.3.2.
Comment 7 V Stuart Foote 2017-11-06 01:17:12 UTC
(In reply to Aron Budea from comment #6)
> Seems fixed in master, but not in 5.4.3.2.

Think it was the DirectWrite adjustment for OpenGL rendering for bug 113347 
https://cgit.freedesktop.org/libreoffice/core/commit/?id=de811bb2359757b90a0a9851963bd8702b97dab0&h=libreoffice-5-4

In master already, 5.4.4.1 when rolled.
Comment 8 m.a.riosv 2017-11-11 13:38:46 UTC
*** Bug 113766 has been marked as a duplicate of this bug. ***
Comment 9 Mike 2017-11-29 19:45:47 UTC
Issue fixed.

Version: 6.0.0.0.beta1 (x64)
Build ID: 97471ab4eb4db4c487195658631696bb3238656c
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: CL